unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeTools, TeEngine, Series, TeeComma, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TBarSeries;
    ChartTool1: TColorLineTool;
    ChartTool2: TAnnotationTool;
    procedure ChartTool1DragLine(Sender: TColorLineTool);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateAnnotationPosition(Value: Double; Annotation: TAnnotationTool);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
  ChartTool2.Shape.Color:=clLime;
  ChartTool2.Active:=False;
end;

procedure TForm1.ChartTool1DragLine(Sender: TColorLineTool);
begin
  UpdateAnnotationPosition(Sender.Value, ChartTool2);
end;

procedure TForm1.UpdateAnnotationPosition(Value: Double; Annotation: TAnnotationTool);
var x, y: Integer;
begin
  Annotation.Active:=True;
  Annotation.Text:=FormatFloat('#.##', Value);

  x:=Chart1.Axes.Bottom.IEndPos - Annotation.Shape.Width - 10;
  y:=Chart1.Axes.Left.CalcYPosValue(Value) - Annotation.Shape.Height div 2;
  Annotation.Shape.CustomPosition:=True;
  Annotation.Shape.Left:=x;
  Annotation.Shape.Top:=y;
end;

end.
